Subject: Re: very weird behaviour with

From: Kirill Marchuk <[email-masked]>
Date: Fri, 27 Mar 2015 10:58:18 +0000 (UTC)

Kirill Marchuk <62mkv <at> mail.ru> writes:

> 
> Kirill Marchuk <62mkv <at> mail.ru> writes:
> 
> > 
> > Hi everyone
> > 
> >   I'm totally stuck with a following problem:
> (censor cut)
> ...........
> > 
> > But I believe that it might be due to my total misunderstanding of something
> > 
> > Anyway, I totally appreciate your help !
> > 
> > Thanks a lot
> > 
> > Kirill, frustrated unexperienced git user...
> > 
> > 
> 
> Hi Again
> 
> With "git subtree" today I have had even worse experience: 
> 
> 1) git checkout test
> 2) git branch test-tmp
> 3) mv adminUI adminUI2 (because otherwise errors..)
> 4) git commit -a -m "Renamed adminUI" 
> 5) git subtree add --prefix=adminUI adminui-origin/test --squash
> 6) mv adminUI adminUI2 (because I don't want here the "deploy" versions)
> 7) git commit -a -m "Added adminui as subtree"
> 8) git merge develop (!!!!!! it went smoothly, but... see below)
> 9) git checkout adminui-test
> 10) git subtree merge --prefix=adminUI test-tmp
> 11) git push adminui-origin test-adminui:test
> (instead of 9-11 I've tried to use "git subtree push", it's basically the
> same, I believe, only takes FAR more time to complete)
> 
> I was very glad and happy. Unless I've realized that, in fact, step 7 did
> not proceed as it was intended to (by me, at least)
> 
> It has 2 parents, and 2 diffs, and one of them shows exactly what it has to
> show (i.e. diff between tips of "develop" and "test-tmp"), but the files on
> the commit snapshot were left unchanged (I cannot imagine how could that
> happen, but that did)
> 
> If I modify files and commit them RIGHT INTO test-tmp branch, all the rest
> goes fine (so far), but that unability to merge from "develop" is something
> that's killing the whole point of it :(( 
> 
> I believe I am not the only one on this mailing list, so pleeease... 
> 
> Kirill
> 
> 

Even more mysterious thing happens today...
when I do 
git checkout test-adminui
git subtree merge --prefix=adminUI test-tmp

I receive 
'adminUI' does not exist; use 'git subtree add'

all the difference I can possibly think of, is that it probably requires me
to create "subtree" after every push ?? 
or is it due to my checkout-s and pulls into other branches during the day ? 

No ideas

Any help is greatly appreciated.. Although I am starting to think that I
probably chose wrong channel to seek for help on this case... 

Thanks for any reaction.

Kirill